Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::DocIdBitSet Class Reference

Simple DocIdSet and DocIdSetIterator backed by a BitSet. More...

`#include <DocIdBitSet.h>`

Inheritance diagram for Lucene::DocIdBitSet:

## Public Member Functions

| DocIdBitSet ()
| DocIdBitSet (const BitSetPtr &bitSet)
virtual | ~DocIdBitSet ()
virtual String | getClassName ()
boost::shared_ptr< DocIdBitSet > | shared_from_this ()
virtual DocIdSetIteratorPtr | iterator ()
| Provides a DocIdSetIterator to access the set. This implementation can return null or EmptyDocIdSet.iterator() if there are no docs that match. More...
virtual bool | isCacheable ()
| This DocIdSet implementation is cacheable. More...
BitSetPtr | getBitSet ()
| Returns the underlying BitSet. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::DocIdSet
virtual | ~DocIdSet ()
boost::shared_ptr< DocIdSet > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocIdSet
static String | _getClassName ()
static DocIdSetPtr | EMPTY_DOCIDSET ()
| An empty {. More...

## Protected Attributes

BitSetPtr | bitSet
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Simple DocIdSet and DocIdSetIterator backed by a BitSet.

## Constructor & Destructor Documentation

Lucene::DocIdBitSet::DocIdBitSet | ( |  | ) |

Lucene::DocIdBitSet::DocIdBitSet | ( | const BitSetPtr & | bitSet | ) |

virtual Lucene::DocIdBitSet::~DocIdBitSet | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::DocIdBitSet::_getClassName | ( |  | ) |

inline static

virtual LuceneObjectPtr Lucene::DocIdBitSet::clone | ( | const LuceneObjectPtr & | other = `LuceneObjectPtr()` | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

virtual bool Lucene::DocIdBitSet::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

BitSetPtr Lucene::DocIdBitSet::getBitSet | ( |  | ) |

Returns the underlying BitSet.

virtual String Lucene::DocIdBitSet::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocIdSet.

virtual int32_t Lucene::DocIdBitSet::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

virtual bool Lucene::DocIdBitSet::isCacheable | ( |  | ) |

virtual

This DocIdSet implementation is cacheable.

Reimplemented from Lucene::DocIdSet.

virtual DocIdSetIteratorPtr Lucene::DocIdBitSet::iterator | ( |  | ) |

virtual

Provides a DocIdSetIterator to access the set. This implementation can return null or EmptyDocIdSet.iterator() if there are no docs that match.

Implements Lucene::DocIdSet.

boost::shared_ptr< DocIdBitSet > Lucene::DocIdBitSet::shared_from_this | ( |  | ) |

inline

## Field Documentation

BitSetPtr Lucene::DocIdBitSet::bitSet

protected

The documentation for this class was generated from the following file:

- DocIdBitSet.h

clucene.sourceforge.net